Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(200)

Issue 29529646: Issue 5584 - Update adblockpluscore dependency to hg:217eff0504a5 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 3 months ago by hub
Modified:
2 years, 3 months ago
CC:
Felix Dahlke
Base URL:
https://hg.adblockplus.org/adblockpluschrome/
Visibility:
Public.

Description

Issue 5584 - Update adblockpluscore dependency to hg:217eff0504a5

Patch Set 1 #

Patch Set 2 : Properly use module for content script #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -4 lines) Patch
M dependencies View 1 chunk +1 line, -1 line 0 comments Download
M include.preload.js View 1 1 chunk +3 lines, -2 lines 3 comments Download
M metadata.chrome View 1 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 13
hub
2 years, 3 months ago (2017-08-28 13:44:30 UTC) #1
Sebastian Noack
Issue 5585 seems to be unrelated of this change.
2 years, 3 months ago (2017-08-28 19:24:19 UTC) #2
hub
sorry, wrong bug number. Fixed.
2 years, 3 months ago (2017-08-28 20:25:11 UTC) #3
Sebastian Noack
LGTM
2 years, 3 months ago (2017-08-28 21:13:09 UTC) #4
Wladimir Palant
Description of issue 5584 needs to be improved before this is pushed. The purpose of ...
2 years, 3 months ago (2017-08-28 21:23:14 UTC) #5
hub
I added the "hints for testeers" section now.
2 years, 3 months ago (2017-08-28 21:34:57 UTC) #6
Wladimir Palant
On 2017/08/28 21:34:57, hub wrote: > I added the "hints for testeers" section now. I've ...
2 years, 3 months ago (2017-08-29 07:02:45 UTC) #7
hub
This properly load the module. I triple-checked.
2 years, 3 months ago (2017-08-29 13:56:02 UTC) #8
Sebastian Noack
LGTM
2 years, 3 months ago (2017-08-29 14:28:54 UTC) #9
kzar
LGTM
2 years, 3 months ago (2017-08-29 14:38:13 UTC) #10
Wladimir Palant
https://codereview.adblockplus.org/29529646/diff/29530580/include.preload.js File include.preload.js (right): https://codereview.adblockplus.org/29529646/diff/29530580/include.preload.js#newcode21 include.preload.js:21: let {ElemHideEmulation} = require("content_elemHideEmulation"); Mind you, this won't work ...
2 years, 3 months ago (2017-08-29 15:13:24 UTC) #11
hub
https://codereview.adblockplus.org/29529646/diff/29530580/include.preload.js File include.preload.js (right): https://codereview.adblockplus.org/29529646/diff/29530580/include.preload.js#newcode21 include.preload.js:21: let {ElemHideEmulation} = require("content_elemHideEmulation"); On 2017/08/29 15:13:24, Wladimir Palant ...
2 years, 3 months ago (2017-08-29 16:46:54 UTC) #12
kzar
2 years, 3 months ago (2017-08-30 10:22:20 UTC) #13
https://codereview.adblockplus.org/29529646/diff/29530580/include.preload.js
File include.preload.js (right):

https://codereview.adblockplus.org/29529646/diff/29530580/include.preload.js#...
include.preload.js:21: let {ElemHideEmulation} =
require("content_elemHideEmulation");
On 2017/08/29 16:46:54, hub wrote:
> On 2017/08/29 15:13:24, Wladimir Palant wrote:
> > Mind you, this won't work any more once we switch to WebPack, it doesn't
> expose
> > the internal require() function. So this file will have to be converted to a
> > module later.
> 
> I'll add a not to issue #5080 then.

Don't worry I've taken a note of it, I need to add quite a few more details like
that to the issue already.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5